Page MenuHomePhabricator

Archive the ShoutBox extension
Closed, ResolvedPublic

Description

On https://gerrit.wikimedia.org/r/#/c/332138/:

Jack Phoenix - The ShoutBox extension should likely be archived since it's nothing but a MediaWiki "interface" to an external service (shoutbox.us) which has been down for about a year or so.

ShoutBox's documentation on MediaWiki.org should be archived, and the gerrit repo should be marked as archived/read-only (not sure how that works).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2017, 8:03 PM
Florian claimed this task.Jan 15 2017, 9:18 PM

Change 332167 had a related patch set uploaded (by Florianschmidtwelzow):
Remove jobs for ShoutBox extension

https://gerrit.wikimedia.org/r/332167

Change 332170 had a related patch set uploaded (by Florianschmidtwelzow):
Remove ShoutBox extension

https://gerrit.wikimedia.org/r/332170

Repo marked as read-only in gerrit. Changes for removing it from zuul and mediawiki/extensions uploaded (see gerritbots comments).

Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.

ShoutBox extension was marked as archived in https://www.mediawiki.org/wiki/Special:Diff/2358957, as well as in WikiApiary in https://wikiapiary.com/wiki/Special:Diff/3334766. Where else does this need to be noted?

Change 332170 merged by Hashar:
Remove ShoutBox extension

https://gerrit.wikimedia.org/r/332170

Change 332167 merged by jenkins-bot:
Remove jobs for ShoutBox extension

https://gerrit.wikimedia.org/r/332167

Florian closed this task as Resolved.Jan 16 2017, 1:52 PM

I think this is resolved now :)

Cool, sounds good - thanks!

Liuxinyu970226 moved this task from Backlog to Archive extensions on the Cleanup board.
ashley reopened this task as Open.Nov 13 2017, 3:56 PM

Being bold and reopening this since it appears that the GitHub mirror is still there at least.

demon closed this task as Resolved.Feb 6 2018, 12:36 AM
demon added a subscriber: demon.

Done.